Could not download uast from maven repository - 403 forbidden

Answered

I am trying to download uast-1.0.12 dependency, but I keep getting the below error:

Could not download uast-1.0.12.jar (org.jetbrains.uast:uast:1.0.12)
Could not get resource 'https://dl.bintray.com/kotlin/uast/org/jetbrains/uast/uast/1.0.12/uast-1.0.12.jar'.
Could not GET 'https://dl.bintray.com/kotlin/uast/org/jetbrains/uast/uast/1.0.12/uast-1.0.12.jar'. Received status code 403 from server: Forbidden

I am using the latest version of Gradle, Gradle Intellij plugin and kotlin plugin.

plugins {
id 'java'
id 'org.jetbrains.intellij' version '1.1.4'
id 'org.jetbrains.kotlin.jvm' version '1.5.21'
}
repositories {
mavenCentral()
maven { url "https://dl.bintray.com/kotlin/uast/"}
}
dependencies {
implementation "org.jetbrains.kotlin:kotlin-stdlib-jdk8"
implementation group: 'org.jetbrains.uast', name: 'uast', version: '1.0.12'
testImplementation group: 'junit', name: 'junit', version: '4.12'
}
distributionUrl=https\://services.gradle.org/distributions/gradle-7.2-bin.zip


Am I missing something? Something wrong with the maven repo, or am I referring the wrong maven repo (this worked around 4 months back)?

3 comments
Comment actions Permalink
Official comment

Hello! The jfrog closed bintray: https://jfrog.com/blog/into-the-sunset-bintray-jcenter-gocenter-and-chartcenter/
That's why some files became unavailable. For some artifacts, we did the migration, but not for this particular one (because it almost wasn't used and unsupported for a long time (since ~2017)). What are you trying to achieve? Maybe we could help you with that via another way. 

Comment actions Permalink

Thanks Stanislav.

I just realized that UAST is now shipped with the IDE itself. All I had to do was remove `uast-1.0.12` from the dependecies and was able to build the project. I used `uast` from the maven repo long back when it was not part of the IDE.

0
Comment actions Permalink

I'm glad to hear that!

0

Please sign in to leave a comment.